<?php

require __dir__ . '/init.php';

// delete investor
if(isset($_POST['delete'])){
	
	$msgid = $_POST['msgid'];
	
$sql = "DELETE FROM message WHERE msgid='$msgid'";

if (mysqli_query($link, $sql)) {
    $msg = "Message deleted successfully!";
} else {
    $msg = "Message not deleted! ";
}
}
// verify investor

if(isset($_POST['read'])){
	
	$msgid = $_POST['msgid'];
	
$sql = "UPDATE messageadmin SET status = '1'  WHERE msgid='$msgid'";

if (mysqli_query($link, $sql)) {
    $msg = "Message marked as read!";
} else {
    $msg = "Message not marked  ";
}
}



template::get_header();





?>

	<?php template::title( "INVESTORS MANAGEMENT" ); ?>
	
	<div class="row">
		<div class="col-md-12 col-sm-12 col-sx-12">
			<?php template::alert( $msg ); ?>
			<div class="box-body table-responsive no-padding">
				<table id="table" class="table table-responsive table-striped table-bordered table-hover" >
					<thead>
						<tr class="info">
							<th>Email</th>
							<th>Message</th>
							<th style="display:none;"></th>
							<th>Title</th>
							<th>Image</th>
							<th>Status</th>
							<th>Date</th>
							<th>Action</th>
							<th>Action</th>
						</tr>
					</thead>
					<tbody>
						<?php $sql= "SELECT * FROM messageadmin";
							$result = mysqli_query($link,$sql);
							if(mysqli_num_rows($result) > 0){
							 while($row = mysqli_fetch_assoc($result)){  
							 if(isset($row['status'])  && $row['status']==1){
							  $msg = 'Message Read &nbsp;&nbsp;<i style="background-color:green;color:#fff; font-size:20px;" class="fa  fa-check" ></i>';
							  
							 }else{
							  $msg = 'New Message! &nbsp;&nbsp;<i class="fa  fa-envelope" style=" font-size:20px;color:red"></i>';
							 }
							 ?>
						<tr class="primary">
							<form action="viewmail.php" method="post">
								<td><?php echo $row['email'];?></td>
								<td id="email"><?php echo $row['message'];?></td>
								<td style="display:none;"><input type="hidden" name="msgid" value="<?php echo $row['msgid'];?>"> </td>
								<td><?php echo $row['title'];?></td>
								<td><img src="../../users/pages/verify/<?php echo $row['image'];?>" width="100px" height="100px"></td>
								<td><?php echo $msg;?></td>
								<td><?php echo $row['date'];?></td>
								<td><button class="btn btn-success" type="read" name="read"><span class="glyphicon glyphicon-check"> Mark as read</span></button></td>
								<td><button type="submit" name="delete" class="btn btn-danger"><span class="glyphicon glyphicon-trash"> Delete</span></button></td>
							</form>
						</tr>
						<?php
							}
									  }
									  ?>
					</tbody>
				</table>
			</div>
		</div>
	</div>



<script>
$(document).ready(function () {
       $(document).on('click', '#delete',fucntion(){
		   
		   var email = $("#email").val();
		   
		   $.ajax({
			   url: "delete.php",
			   method: "post",
			   data:{email:email},
			   success:function(data){
				   alert("successful");
				   location.reload();
			   }
			   
		   });
	   }
				
    });



				</script>

<script>
$(document).ready(function () {
        $('#table')
                .dataTable({
                    "responsive": true,
                    
                });

				
    });



				</script>


<?php template::get_footer(); ?>  